rte_event_dma_adapter_conf(3)

NAME
rte_event_dma_adapter_conf

SYNOPSIS

#include <rte_event_dma_adapter.h>

  Data Fields

uint32_t max_nb

Detailed Description

Adapter configuration structure that the adapter configuration callback function is expected to fill out.

See also
    rte_event_dma_adapter_conf_cb

Definition at line 182 of file rte_event_dma_adapter.h.

Field Documentation

  uint32_t max_nb
< Event port identifier, the adapter enqueues events to this port and dequeues DMA request events in RTE_EVENT_DMA_ADAPTER_OP_FORWARD mode. The adapter can return early if it has processed at least max_nb DMA ops. This isn't treated as a requirement; batching may cause the adapter to process more than max_nb DMA ops.

Definition at line 188 of file rte_event_dma_adapter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.